Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Softpkg_Handler::Struct_Softpkg_Info Struct Reference

`#include <Softpkg_Handlers.h>`

Collaboration diagram for CIAO::Softpkg_Handler::Struct_Softpkg_Info:

[legend]
List of all members.

## Public Member Functions
void | dump (void) const
## Public Attributes
ACE_TString | descriptor_
ACE_TString | csd_path_
| Specify the pathname to the root softpkg (as defined in CCM.).
ACE_TString | executor_UUID_
| Specify the pathname to component executor DLL.
ACE_TString | executor_entrypt_
| Specify the entrypoint to component executor DLL.
ACE_TString | ssd_path_
| Specify the pathname to the servant softpkg (as defined in CIAO.).
ACE_TString | servant_UUID_
| Specify the pathname to component servant DLL.
ACE_TString | servant_entrypt_
| Specify the entrypoint to component servant DLL.

## Member Function Documentation

void CIAO::Softpkg_Handler::Struct_Softpkg_Info::dump | ( | void |  | ) | const

## Member Data Documentation

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::csd_path_

| Specify the pathname to the root softpkg (as defined in CCM.).

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::descriptor_

| Specify the pathname (should change to URI later) to the component descriptor file.

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::executor_entrypt_

| Specify the entrypoint to component executor DLL.

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::executor_UUID_

| Specify the pathname to component executor DLL.

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::servant_entrypt_

| Specify the entrypoint to component servant DLL.

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::servant_UUID_

| Specify the pathname to component servant DLL.

ACE_TString CIAO::Softpkg_Handler::Struct_Softpkg_Info::ssd_path_

| Specify the pathname to the servant softpkg (as defined in CIAO.).

The documentation for this struct was generated from the following file:

- Softpkg_Handlers.h